% LQR Design for Space Plane at T=0 sec
% Pitch Axis
[Ap,Bp,Cp,Dp]= pitch_rb_t0;                         % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pdes_int');              % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Api,Bpi,Cpi,Dpi);      
Qp=diag([0.45, 0.3, 0.000, 0.0001]);           % State & Control Weights
Rp=40; 
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t0.mat Kq -ascii                            % Save the LQR gains in Kpqr.mat
% Kq = [0.1130    0.4832       0    0.0016]        % KM_theta, q, alpha, thet_int

% Lateral Axis
[Al,Bl,Cl,Dl]= later_rb_t0;                       % Load the Lateral Design Model
[Ali,Bli,Cli,Dli]= linmod('Ldes_int');             % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Ali,Bli,Cli,Dli);      
Ql=diag([0.25  0.1  0.3  0.3  0.00  0.0001]);        % X Weights(phi,p, psi,r, beta, psi_int)
Rl=diag([0.5  1]*40);                               % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t0.mat Kpr -ascii                            % Save the LQR gains in Kpqr.mat
% Kpr = [
%  0.1118    0.4781   -0.000  -0.000   0  -0.00
%  0.000     0.000    0.0943   0.4428  0  0.0016]; ! KN_phi, p, psi, r, beta, ps_int
[Ad,Bd,Cd,Dd]= plant_t0;
