% LQR Design for Space Plane at T= 56 sec
% Pitch Axis
[Ap,Bp,Cp,Dp]= pitch_rb_t108;                         % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pdes_int');              % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Api,Bpi,Cpi,Dpi);      
Qp=diag([1  0.01  0.0, 0.005]);                % State & Control Weights
Rp=20;          
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t108.mat Kq -ascii                            % Save the LQR gains in Kpqr.mat
% Kq = [0.4279    1.7594    1.1342    0.0093]        ! KM_theta, q, alpha, theta_int

% Lateral Axis
[Al,Bl,Cl,Dl]= later_rb_t108;                       % Load the Lateral Design Model
[Ali,Bli,Cli,Dli]= linmod('Ldes_int');             % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Ali,Bli,Cli,Dli);      
Ql=diag([0.2, 0.01, 0.2  0.01  0.001, 0.001]);   % X Weights(phi,p, psi,r, beta, psi_int)
Rl=diag([10  10]);                               % Control Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t108.mat Kpr -ascii                            % Save the LQR gains in Kpqr.mat
% Kpr = [
%   0.1036    0.4379    0.1238    0.1243   -0.1493    0.0015
%   0.0079    0.1280    0.1863    1.7774   -1.4270    0.0028]; % KN_phi, p, psi, r, beta, ps_int
[Ad,Bd,Cd,Dd]= plant_t108;