% LQR Design for Space Plane at T=20 sec
% Pitch Axis
[Ap,Bp,Cp,Dp]= pitch_rb_t20;                         % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pdes_int');              % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Api,Bpi,Cpi,Dpi);      
Qp=diag([0.001, 0.001, 0.0001, 0.0001]);           % State & Control Weights
Rp=40; 
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t20.mat Kq -ascii                            % Save the LQR gains in Kpqr.mat
% Kq = [0.0262    0.3012    0.0196    0.0016]        % KM_theta, q, alpha, thet_int

% Lateral Axis
[Al,Bl,Cl,Dl]= later_rb_t20;                       % Load the Lateral Design Model
[Ali,Bli,Cli,Dli]= linmod('Ldes_int');             % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Ali,Bli,Cli,Dli);      
Ql=diag([0.01  0.1  0.1  0.1  0.001  0.0001]);        % X Weights(phi,p, psi,r, beta, psi_int)
Rl=diag([1  1]*40);                               % U Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t20.mat Kpr -ascii                            % Save the LQR gains in Kpqr.mat
% Kpr = [
%   0.0158    0.1846    0.0009   -0.0011    0.0018    0.0000
%  -0.0002   -0.0014    0.0612    0.4237   -0.0284    0.0016]; ! KN_phi, p, psi, r, beta, ps_int
[Ad,Bd,Cd,Dd]= plant_t20;
