function [Api, Bpi, Cpi, Dpi]= pitch_rb_t20
% Pitch Design Model                                                                                  
% The 3-state pitch rigid body system is extracted from the coupled RB system above                 
Api= [
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.32882334E-01
  -0.20486000E+00   0.99999999E+00  -0.29683218E+00
];

Bpi= [
   0.00000000E+00
   0.10006544E+01
   0.23564589E+00
];

Cpi= [
   0.10000000E+01   0.00000000E+00   0.00000000E+00
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.10000000E+01
];

Dpi= [
   0.00000000E+00
   0.00000000E+00
   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   1
%    1    Pitch TVC Demand from Flight Control                   
 
%  States  =   3
%    1    State No:  3                                           
%    2    State No:  4                                           
%    3    State No:  7                                           
 
%  Outputs =   3
%    1    Pitch Attitude (theta)  (radians)                      
%    2    Pitch Rate     (q-body) (rad/sec)                      
%    3    Angle of attack, alfa,  (radians)                      
