% LQR Design for Space Plane at T= 300 sec
% Pitch Axis
[Ap,Bp,Cp,Dp]= pitch_rb_t300;                         % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pdes_int');              % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Api,Bpi,Cpi,Dpi);      
Qp=diag([1  0.1  0.00, 0.0007]);                     % State & Control Weights
Rp=20;          
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t300.mat Kq -ascii                            % Save the LQR gains in Kpqr.mat
% Kq = [0.1877    0.6224    0.0051    0.0053]        ! KM_theta, q, alpha, theta_int

% Lateral Axis
[Al,Bl,Cl,Dl]= later_rb_t300;                       % Load the Lateral Design Model
[Ali,Bli,Cli,Dli]= linmod('Ldes_int');             % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Ali,Bli,Cli,Dli);      
Ql=diag([2, 0.0001, 2  0.0001  0.000, 0.003]);   % X Weights(phi,p, psi,r, beta, psi_int)
Rl=diag([40  40]);                               % Control Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t300.mat Kpr -ascii                            % Save the LQR gains in Kpqr.mat
% Kpr = [
%  0.6708    1.1584   -0.0002   -0.0026    0.0051   -0.0000
%  0.0001   -0.0021    0.6207    1.1155   -0.0031    0.0158]; % KN_phi, p, psi, r, beta, ps_int
[Ad,Bd,Cd,Dd]= plant_t300;