function [Api, Bpi, Cpi, Dpi]= pitch_rb_t82
% Pitch Design Model                                                                                  
% The 3-state pitch rigid body system is extracted from the coupled RB system above                 
Api= [
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.39534669E+00
  -0.24172342E-01   0.10000000E+01  -0.16691755E+00
];

Bpi= [
   0.00000000E+00
   0.10009821E+01
   0.35361814E-01
];

Cpi= [
   0.10000000E+01   0.00000000E+00   0.00000000E+00
   0.00000000E+00   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.00000000E+00   0.10000000E+01
];

Dpi= [
   0.00000000E+00
   0.00000000E+00
   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   1
%    1    Pitch TVC Demand from Flight Control                   
 
%  States  =   3
%    1    State No:  3                                           
%    2    State No:  4                                           
%    3    State No:  7                                           
 
%  Outputs =   3
%    1    Pitch Attitude (theta)  (radians)                      
%    2    Pitch Rate     (q-body) (rad/sec)                      
%    3    Angle of attack, alfa,  (radians)                      
